Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface CampaignInfo

All Superinterfaces:
  Cloneable, Comparable, Serializable

All Known Subinterfaces:
  Campaign

public interface CampaignInfo
extends Serializable, Cloneable, Comparable

A data structure that contains the basic display information for a campaign.

Only the campaign's `unique id`, `name`, `description`, `active flag`, and `shutdown flag` are guaranteed to be set. The other fields might be set depending upon how the object was created

Method Summary
`Object` | `clone()` Get a clone of this.
`boolean` | `getActiveFlag()` Get the campaign's active state.
`String` | `getDescription()` Get the campaign's description.
`String` | `getGoalDescription()` Get the description of the campaign's goals.
`String` | `getName()` Get the campaign's name.
`String` | `getSponsor()` Get the sponsor of the campaign.
`Timestamp` | `getStartDate()` Get the campaign's start date.
`Timestamp` | `getStopDate()` Get the campaign's stop date.
`String` | `getUniqueId()` Get the campaign's unique id.
`String` | `getValueProposition()` Get the value proposition of the campaign.
`boolean` | `isShutdown()` Get the campaign's shutdown state.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUniqueId

    public String getUniqueId()

  Get the campaign's unique id.

  This should be unique amongst all campaigns.

### getName

    public String getName()

  Get the campaign's name.

### getActiveFlag

    public boolean getActiveFlag()

  Get the campaign's active state.

  This is a user-set flag controlling the active state of the campaign. This describes if the campaign should be active, if all other campaign active criteria are met (i.e. the start/stop date, the goals are not yet achieved).

### isShutdown

    public boolean isShutdown()

  Get the campaign's shutdown state.

### getDescription

    public String getDescription()

  Get the campaign's description.

### getSponsor

    public String getSponsor()

  Get the sponsor of the campaign.

### getValueProposition

    public String getValueProposition()

  Get the value proposition of the campaign.

### getGoalDescription

    public String getGoalDescription()

  Get the description of the campaign's goals.

### getStartDate

    public Timestamp getStartDate()

  Get the campaign's start date.

### getStopDate

    public Timestamp getStopDate()

  Get the campaign's stop date.

### clone

    public Object clone()

  Get a clone of this.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved